services:
    twtools_component.processor.handler:
        class: Twtools\ComponentBundle\Handler\HandlerProcessor
        arguments: [@service_container]
    twtools_component.processor.form:
        class: Twtools\ComponentBundle\Handler\FormHandlerProcessor
        arguments: [@service_container]
    twtools_component.entity.handler:
        class: Twtools\ComponentBundle\Handler\EntityHandler
        arguments: [@service_container]
    text.twig.extension:
        class:  Twig_Extensions_Extension_Text
        tags:   [ { name: 'twig.extension' } ]
    pager.twig.extension:
        class:  Twtools\ComponentBundle\Twig\Extension\TwtoolsTwigExtensionsPager
        arguments: [@service_container]
        tags:   [ { name: 'twig.extension' } ]
    callback.twig.extension:
        class:  Twtools\ComponentBundle\Twig\Extension\TwtoolsTwigExtensionsCallback
        arguments: [@service_container]
        tags:   [ { name: 'twig.extension' } ]
    twtools.mailer:
        class: Twtools\ComponentBundle\Mailer\MailerSender
        arguments: [@service_container, @swiftmailer.mailer]
    twig.extension.intl:
       class: Twig_Extensions_Extension_Intl
       tags:
           - { name: twig.extension }
    twig.extension.loader:
        class: Twig_Extension_StringLoader
        tags:
            - { name: 'twig.extension' }
    view.twig.extension:
        class:  Twtools\ComponentBundle\Twig\Extension\TwtoolsTwigExtensionsView
        arguments: [@service_container]
        tags:   [ { name: 'twig.extension' } ]
    breadcrumb.twig.extension:
        class:  Twtools\ComponentBundle\Twig\Extension\TwtoolsTwigExtensionsBreadcrumb
        arguments: [@service_container]
        tags:   [ { name: 'twig.extension' } ]
    civility.twig.extension:
        class:  Twtools\ComponentBundle\Twig\Extension\TwtoolsTwigExtensionsCivility
        arguments: [@service_container, @translator]
        tags:   [ { name: 'twig.extension' } ]
    form.type.civility:
        class: Twtools\ComponentBundle\Civility\Type\CivilityType
        tags:   [ { name: 'form.type', alias: 'civility' } ]
    routerhash.twig.extension:
        class:  Twtools\ComponentBundle\RouterHash\TwtoolsTwigExtensionsRouterHash
        arguments: [@service_container]
        tags:   [ { name: 'twig.extension' } ]
    twtools_component.routerhash:
        class: Twtools\ComponentBundle\RouterHash\RouterHash
        arguments: [@service_container]
    twtools_component.civility.transformer:
        class: Twtools\ComponentBundle\Civility\Transformer\CivilityTransformer
    twtools_component.twig2pdf:
        class:  Twtools\ComponentBundle\Libraries\Twig2Pdf
        calls:
            - [ setContainer, [ @service_container ] ]
